Upgrade from 1.0 to 2.0.x - is it possible?

Added by Andreas Bosch over 7 years ago

Hi,

we are still running Redmine v1.0, but would like to upgrade to profit from all the new features added during that time.

However, I am not sure whether an upgrade from v1.0 to v2.0.x is possible without problems. Do you have any advice? Should I update to 1.4.x first? Is there an upgrade tutorial for such "uncommon" scenarios?

Some more information about our setup:
  • Windows XP (yes...)
  • Ruby 1.8.7
  • Gems 1.3.7
  • Rails 2.3.5
  • MySQL 5.1
  • Mongrel 1.1.5 (?!)

Thanks a lot!
gehho.